package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Lsm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface LsmMapper {

    int insert(Lsm record);

    int insertSelective(Lsm record);

    int updateByPrimaryKeySelective(Lsm record);

    int updateByPrimaryKey(Lsm record);

    int deleteByPrimaryKey(Lsm record);

    int deleteByIds(Collection<Object> collection);

    Lsm selectByPrimaryKey(Lsm record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Lsm> dyncRead(Map<String,Object> dyncMap);

    Lsm getLsmByCbeinr(@Param("cbeinr") String cbeinr);

}